<?php
session_start();

  include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }
	   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
    //fin validar session
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
   $id_cd =$_POST['listacd']; 
	    $cdentrega =$_POST['nuevo']; echo"$cdentrega";
if($cdentrega==1){$tipocd="cdentrega";}else{$tipocd="usuarios_ci_idusuarios_ci";}
           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  echo"<center><br>";
 
  $q2 = "SELECT  sum(cantidad), sum(puntos), sum(efectivo), sum(deposito), sum(tarjeta), sum(regalias), sum(voucher), sum(porpagar), $tipocd FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones  left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE  (tipostr_idtipostr!='12') and fechat between '$fecha1' and '$fecha2' group by $tipocd order by $tipocd";
 
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
 //
  if(mysqli_affected_rows($conexion))
   {
  echo"<font size=\"+2\">Ventas por centro del d&iacute;a $fecha1 al $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>CD</th><th>Compras</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th><th>Caja</th>
		
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	

	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = redondear($r1[4]);
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	  
	   $vef+=$a2;
	   $vdep+=$a3;
	   $vtarj+=$a4;
	   $vreg+=$a5;
	   $vvou+=$a6;
	   $ppag+=$a7;
	   
	   $ctot+=$a0;
	   $ptot+=$a1;
	      $qcc1 = "SELECT cantidad FROM cortecaja WHERE fechac= '$fecha2' and id_cd=$a8";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $caja=redondear($rrc[0]);
	   $totcomp=$a8+$a6;
	         echo"<td>$a8</td><td>$a0</td><td>$a2</td><td>$a3</td><td>$a4</td><td>$a5</td><td>$a6</td>
<td>$a7</td><td>$caja</td></tr>
		  ";
	}echo"</table>";
                                             }
	$real=$ctot-$ppag;
				
									   echo"<br>
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><th>Compras</th><th>Contado</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th>
	</tr>
	<tr><td>$ $real</td><td>$ $ctot</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td></tr>
	
	
	
	</table>
	<br>";
     ?>